# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.extensions
Class Who

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.extensions.Who

All Implemented Interfaces:
  Extension

Direct Known Subclasses:
  EventWho

    public class Who

extends ExtensionPoint
implements Extension

GData schema extension describing a person. It contains a `<gd:entryLink>` element linking to (or containing) a Contact entry.

Nested Class Summary
`static class` `Who.AttendeeStatus` Status of event attendee.
`static class` `Who.AttendeeType` Type of event attendee.
`protected class` `Who.Handler` parser.
`static class` `Who.Rel` Relation type.

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary
`protected Who.AttendeeStatus` `attendeeStatus`
`protected Who.AttendeeType` `attendeeType`
`protected java.lang.String` `email` Email of the person.
`protected EntryLink<?>` `entryLink` Nested person entry.
`protected java.lang.String` `rel`
`protected java.lang.String` `valueString` String description of the person.

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`Who()`

Method Summary
`void` `generate(com.google.gdata.util.common.xml.XmlWriter w, ExtensionProfile extProfile)` Generates an XML representation for the extension.
`java.lang.String` `getAttendeeStatus()`
`java.lang.String` `getAttendeeType()`
`static ExtensionDescription` `getDefaultDescription()` Returns a suggested extension description, which is repeatable.
`static ExtensionDescription` `getDefaultDescription(boolean repeatable)` Returns a suggested extension description, which may be repeatable or not.
`java.lang.String` `getEmail()`
`EntryLink<?>` `getEntryLink()`
`XmlParser.ElementHandler` `getHandler(ExtensionProfile extProfile, java.lang.String namespace, java.lang.String localName, org.xml.sax.Attributes attrs)` The default implementation uses the `AbstractExtension.AttributesHandler` to handle parsing the extension.
`java.lang.String` `getRel()`
`java.lang.String` `getValueString()`
`void` `setAttendeeStatus(java.lang.String v)`
`void` `setAttendeeType(java.lang.String v)`
`void` `setEmail(java.lang.String v)`
`void` `setEntryLink(EntryLink<?> v)`
`void` `setRel(java.lang.String v)`
`void` `setValueString(java.lang.String v)`
`protected void` `visitChildren(ExtensionVisitor ev)` Called to visit all children of this extension point.

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, declareExtensions, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### rel

    protected java.lang.String rel

### email

    protected java.lang.String email

  Email of the person.

### valueString

    protected java.lang.String valueString

  String description of the person.

### attendeeType

    protected Who.AttendeeType attendeeType

### attendeeStatus

    protected Who.AttendeeStatus attendeeStatus

### entryLink

    protected EntryLink<?> entryLink

  Nested person entry.

Constructor Detail

### Who

    public Who()

Method Detail

### getRel

    public java.lang.String getRel()

### setRel

    public void setRel(java.lang.String v)

### getEmail

    public java.lang.String getEmail()

### setEmail

    public void setEmail(java.lang.String v)

### getValueString

    public java.lang.String getValueString()

### setValueString

    public void setValueString(java.lang.String v)

### getAttendeeType

    public java.lang.String getAttendeeType()

### setAttendeeType

    public void setAttendeeType(java.lang.String v)

### getAttendeeStatus

    public java.lang.String getAttendeeStatus()

### setAttendeeStatus

    public void setAttendeeStatus(java.lang.String v)

### getEntryLink

    public EntryLink<?> getEntryLink()

### setEntryLink

    public void setEntryLink(EntryLink<?> v)

### getDefaultDescription

    public static ExtensionDescription getDefaultDescription()

  Returns a suggested extension description, which is repeatable.

### getDefaultDescription

    public static ExtensionDescription getDefaultDescription(boolean repeatable)

  Returns a suggested extension description, which may be repeatable or not.

### visitChildren

    protected void visitChildren(ExtensionVisitor ev)
                          throws ExtensionVisitor.StoppedException

  Description copied from class: `ExtensionPoint`
  Called to visit all children of this extension point.

  Overrides:
    `visitChildren` in class `ExtensionPoint`
  Parameters:
    `ev` - the extension visitor.
  Throws:
    `ExtensionVisitor.StoppedException`

### generate

    public void generate(com.google.gdata.util.common.xml.XmlWriter w,
                         ExtensionProfile extProfile)
                  throws java.io.IOException

  Description copied from interface: `Extension`
  Generates an XML representation for the extension.

  Specified by:
    `generate` in interface `Extension`
  Overrides:
    `generate` in class `AbstractExtension`
  Parameters:
    `w` - XML writer
    `extProfile` - extension profile
  Throws:
    `java.io.IOException`

### getHandler

    public XmlParser.ElementHandler getHandler(ExtensionProfile extProfile,
                                               java.lang.String namespace,
                                               java.lang.String localName,
                                               org.xml.sax.Attributes attrs)

  Description copied from class: `AbstractExtension`
  The default implementation uses the `AbstractExtension.AttributesHandler` to handle parsing the extension.

  Specified by:
    `getHandler` in interface `Extension`
  Overrides:
    `getHandler` in class `ExtensionPoint`
  Parameters:
    `extProfile` - extension profile
    `namespace` - extension namespace
    `localName` - tag name, without the namespace prefix
    `attrs` - tag attributes
  Returns:
    an element handler